(function($) {
    'use strict';
    
    $(document).ready(function() {
        // Színválasztó inicializálása
        $('.color-picker').wpColorPicker({
            change: function(event, ui) {
                // Valós idejű előnézet frissítése színváltozáskor
                setTimeout(function() {
                    updatePreview();
                }, 100);
            }
        });
        
        // Minden más input változás esetén is frissítsük az előnézetet
        $('input[name^="hirlevel_feliratkozas_"], textarea[name^="hirlevel_feliratkozas_"]').on('change keyup', function() {
            updatePreview();
        });
        
        // Előnézet frissítése
        function updatePreview() {
            var buttonColor = $('input[name="hirlevel_feliratkozas_button_color"]').val() || '#403317';
            var textColor = $('input[name="hirlevel_feliratkozas_text_color"]').val() || '#403317';
            var backgroundColor = $('input[name="hirlevel_feliratkozas_background_color"]').val() || '#fbfaf4';
            var formWidth = $('input[name="hirlevel_feliratkozas_form_width"]').val() || '500';
            var borderRadius = $('input[name="hirlevel_feliratkozas_border_radius"]').val() || '0';
            var customCSS = $('textarea[name="hirlevel_feliratkozas_custom_css"]').val() || '';
            
            // Árnyalat számítás a hover állapothoz
            function adjustBrightness(hex, steps) {
                hex = hex.replace('#', '');
                
                var r = parseInt(hex.substr(0, 2), 16);
                var g = parseInt(hex.substr(2, 2), 16);
                var b = parseInt(hex.substr(4, 2), 16);
                
                r = Math.max(0, Math.min(255, r + steps));
                g = Math.max(0, Math.min(255, g + steps));
                b = Math.max(0, Math.min(255, b + steps));
                
                return '#' + 
                    ((1 << 24) + (r << 16) + (g << 8) + b).toString(16).slice(1);
            }
            
            var buttonHoverColor = adjustBrightness(buttonColor, -20);
            
            // Dinamikus CSS az előnézethez
            var previewCSS = `
                .hirlevel-preview-container .newsletter-form {
                    background-color: ${backgroundColor};
                    color: ${textColor};
                    max-width: ${formWidth}px;
                    border-radius: ${borderRadius}px;
                }
                
                .hirlevel-preview-container .form-title,
                .hirlevel-preview-container .form-subtitle,
                .hirlevel-preview-container .checkbox-wrapper label {
                    color: ${textColor};
                }
                
                .hirlevel-preview-container .input-wrapper input,
                .hirlevel-preview-container .checkbox-wrapper input[type='checkbox'] {
                    border-radius: ${borderRadius}px;
                }
                
                .hirlevel-preview-container button[id$='newsletter-submit'] {
                    background-color: ${buttonColor};
                    border-radius: ${borderRadius}px;
                }
                
                .hirlevel-preview-container button[id$='newsletter-submit']:hover {
                    background-color: ${buttonHoverColor};
                }
                
                .hirlevel-preview-container .status-message {
                    border-radius: ${borderRadius}px;
                }
                
                ${customCSS}
            `;
            
            // Töröljük a korábbi stílusokat és adjuk hozzá az újakat
            $('#hirlevel-preview-styles').remove();
            $('<style id="hirlevel-preview-styles">' + previewCSS + '</style>').appendTo('head');
        }
        
        // Inicializáljuk az előnézetet
        updatePreview();
    });
    
})(jQuery);