<?php 
// Biztonsági ellenőrzés
if (!defined('ABSPATH')) {
    exit; // Közvetlen hozzáférés megakadályozása
}

// Szövegek beolvasása az opcióktól
$form_title = get_option('hirlevel_feliratkozas_form_title', 'Iratkozz fel hírlevelünkre');
$form_subtitle = get_option('hirlevel_feliratkozas_form_subtitle', 'Értesülj az új cikkekről és exkluzív tartalmakról');
$email_label = get_option('hirlevel_feliratkozas_email_label', 'Email cím');
$terms_text = get_option('hirlevel_feliratkozas_terms_text', 'Elfogadom az adatkezelési tájékoztatót, és hozzájárulok a személyes adataim kezeléséhez.');
$privacy_link = get_option('hirlevel_feliratkozas_privacy_link', site_url('/adatkezeles'));
$button_text = get_option('hirlevel_feliratkozas_button_text', 'Feliratkozás');
$privacy_note = get_option('hirlevel_feliratkozas_privacy_note', 'Tiszteletben tartjuk a magánéletedet. Bármikor leiratkozhatsz.');

// Adatkezelési tájékoztató szöveg és link elkészítése
$terms_text_with_link = str_replace('adatkezelési tájékoztatót', '<a href="' . esc_url($privacy_link) . '" target="_blank">adatkezelési tájékoztatót</a>', $terms_text);
?>
<div id="hirlevel-feliratkozas-form" class="newsletter-form">
    <h2 class="form-title"><?php echo esc_html($form_title); ?></h2>
    <p class="form-subtitle"><?php echo esc_html($form_subtitle); ?></p>
    
    <div class="newsletter-form-content">
        <div class="input-group">
            <label for="newsletter-email"><?php echo esc_html($email_label); ?></label>
            <div class="input-wrapper">
                <input type="email" id="newsletter-email" placeholder="emailcimed@example.com" required>
                <svg class="email-icon" xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                    <path d="M4 4h16c1.1 0 2 .9 2 2v12c0 1.1-.9 2-2 2H4c-1.1 0-2-.9-2-2V6c0-1.1.9-2 2-2z"></path>
                    <polyline points="22,6 12,13 2,6"></polyline>
                </svg>
            </div>
        </div>
        
        <div class="terms-container">
            <div class="checkbox-wrapper">
                <input type="checkbox" id="newsletter-terms">
                <label for="newsletter-terms">
                    <?php echo $terms_text_with_link; ?>
                </label>
            </div>
        </div>
        
        <div class="status-message" style="display: none;"></div>
        
        <button type="button" id="newsletter-submit"><?php echo esc_html($button_text); ?></button>
        
        <p class="privacy-note"><?php echo esc_html($privacy_note); ?></p>
    </div>
</div>